## r-cran-deal 1.2

=== DESCRIPTION ===
Package: deal
Version: 1.2-39
Date: 2018-10-20
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bottcher, Claus Dethlefsen.
Maintainer: Claus Dethlefsen <rpackage.deal@gmail.com>
Depends: R (>= 2.0.0)
Description: Bayesian networks with continuous and/or discrete
        variables can be learned and compared from data. The method is described in Boettcher and Dethlefsen (2003), <doi:10.18637/jss.v008.i20>.
License: GPL (>= 2)
Collate: addarrows.R autosearch.R conditional.R cycletest.R
        drawnetwork.R findex.R generic.R genlatex.R heuristic.R
        inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R
        makesimprob.R fullsimprob.R maketrylist.R master.R network.R
        networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R
        postdist.R readnet.R rnetwork.R savenet.R unique.R
NeedsCompilation: yes
Packaged: 2018-10-20 04:22:24 UTC; clausdethlefsen
Repository: CRAN
Date/Publication: 2018-10-20 07:10:03 UTC

## r-cran-deal 1.2-35

=== debian/changelog ===
r-cran-deal (1:1.2-35-1) unstable; urgency=low

  * New upstream version (use epoch to follow R package versioning
    exactly as advised by R packagers)
  * debian/get-orig-source: There is no need to repack upstream
    tarball just to change some file permissions - take upstream as is
  * debian/control: versioned build-depenedency from
    r-base-dev (>= 2.14.2~20120222)
  * debian/rules: Fix permission of installed files

 -- Andreas Tille <tille@debian.org>  Mon, 17 Sep 2012 13:19:32 +0200

r-cran-deal (1.2.34-1) unstable; urgency=low

  * Initial release (closes: #659043)

 -- ivo Maintz <ivo@maintz.de>  Wed, 04 Apr 2012 21:45:02 +0200

=== debian/control ===
Source: r-cran-deal
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: ivo Maintz <ivo@maintz.de>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), r-base-dev (>= 2.14.2~20120222), cdbs
Standards-Version: 3.9.3
Homepage: http://cran.r-project.org/web/packages/deal/index.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-deal/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-deal/trunk/

Package: r-cran-deal
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${R:Depends}
Description: Learning Bayesian Networks with Mixed Variables
 Bayesian networks with continuous and/or discrete variables
 can be learned and compared from data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

### unfortunately this does not enable hardening
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# DPKG_EXPORT_BUILDFLAGS = 1
# include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/INDEX

## r-cran-deal 1.2-37

=== debian/changelog ===
r-cran-deal (1:1.2-37-2) unstable; urgency=medium

  * cme fix dpkg-control
  * moved debian/upstream to debian/upstream/metadata
  * fixed watch file
  * install README.test into doc dir

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jun 2014 23:14:09 +0200

r-cran-deal (1:1.2-37-1) unstable; urgency=low

  [ Ivo Maintz ]
  * update from upstream
  * uses now r-base-dev 3.0.0

  [ Andreas Tille ]
  * debian/control: Remove DM-Upload-Allowed
  * mv README.Debian README.test
  * debian/docs: removed empty debhelper file

 -- Andreas Tille <tille@debian.org>  Fri, 17 May 2013 15:30:24 +0200

=== debian/control ===
Source: r-cran-deal
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Ivo Maintz <ivo@maintz.de>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               cdbs
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-deal/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-deal/trunk/
Homepage: http://cran.r-project.org/web/packages/deal/index.html

Package: r-cran-deal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: Learning Bayesian Networks with Mixed Variables
 Bayesian networks with continuous and/or discrete variables
 can be learned and compared from data.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 install/$(package)::
 	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/INDEX
+
+get-orig-source:
+	uscan --verbose --force-download

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/deal_([\d.-]*)\.tar.gz

## r-cran-deal 1.2-39

=== debian/changelog ===
r-cran-deal (1:1.2-39-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 16:49:38 +0200

r-cran-deal (1:1.2-39-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 22 Oct 2018 10:56:16 +0200

r-cran-deal (1:1.2-37-4) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 09:09:54 +0200

r-cran-deal (1:1.2-37-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Remove Ivo Maintz from Uploaders
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Testsuite: autopkgtest-pkg-r
  * Canonical homepage for CRAN packages
  * Review d/copyright
  * Remove redundant debian/upstream/metadata
  * Add debian/README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 12:04:22 +0200

=== debian/control ===
Source: r-cran-deal
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deal
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deal.git
Homepage: https://cran.r-project.org/package=deal
Rules-Requires-Root: no

Package: r-cran-deal
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Learning Bayesian Networks with Mixed Variables
 Bayesian networks with continuous and/or discrete variables
 can be learned and compared from data.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/deal_([\d.-]*)\.tar.gz

## r-cran-deal 1.2-42

=== debian/changelog ===
r-cran-deal (1:1.2-42-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 07:08:19 +0100

=== debian/control ===
Source: r-cran-deal
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deal
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deal.git
Homepage: https://cran.r-project.org/package=deal
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-deal
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Learning Bayesian Networks with Mixed Variables
 Bayesian networks with continuous and/or discrete variables
 can be learned and compared from data.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name INDEX -exec chmod -x \{\} \;

## r-cran-deal 1.2.34

=== DESCRIPTION ===
Package: deal
Version: 1.2-34
Date: 2011-04-01
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bottcher <lma@math.aau.dk>, Claus Dethlefsen <cld@rn.dk>.
Maintainer: Claus Dethlefsen <cld@rn.dk>
Depends: R (>= 2.0.0)
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL (>= 2)
Collate: addarrows.R autosearch.R conditional.R cycletest.R
        drawnetwork.R findex.R generic.R genlatex.R heuristic.R
        inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R
        makesimprob.R fullsimprob.R maketrylist.R master.R network.R
        networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R
        postdist.R readnet.R rnetwork.R savenet.R unique.R
Packaged: 2011-11-01 13:20:20 UTC; 86c9
Repository: CRAN
Date/Publication: 2011-11-02 17:25:44

=== debian/control ===
Source: r-cran-deal
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: ivo Maintz <ivo@maintz.de>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), r-base, r-base-dev, cdbs
Standards-Version: 3.9.3
Homepage: http://cran.r-project.org/web/packages/deal/index.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-deal/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-deal/trunk/

Package: r-cran-deal
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${R:Depends}
Description: Learning Bayesian Networks with Mixed Variables
 Bayesian networks with continuous and/or discrete variables
 can be learned and compared from data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/R/debian/r-cran.mk
#%:
#	dh $@ 

get-orig-source:
	./debian/get-orig-source
